org.apache.lucene.analysis

## Class CannedBinaryTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.CannedBinaryTokenStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class CannedBinaryTokenStream
    extends TokenStream

TokenStream from a canned list of binary (BytesRef-based) tokens.

### Nested Class Summary

Nested Classes
`static interface` `CannedBinaryTokenStream.BinaryTermAttribute` An attribute extending `TermToBytesRefAttribute` but exposing `CannedBinaryTokenStream.BinaryTermAttribute.setBytesRef(org.apache.lucene.util.BytesRef)` method.
`static class` `CannedBinaryTokenStream.BinaryTermAttributeImpl` Implementation for `CannedBinaryTokenStream.BinaryTermAttribute`.
`static class` `CannedBinaryTokenStream.BinaryToken` Represents a binary token.

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Constructor Summary

Constructors
Constructor and Description
`CannedBinaryTokenStream(CannedBinaryTokenStream.BinaryToken... tokens)`

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CannedBinaryTokenStream

    public CannedBinaryTokenStream(CannedBinaryTokenStream.BinaryToken... tokens)

### Method Detail

#### incrementToken

    public boolean incrementToken()

Specified by:
  `incrementToken` in class `TokenStream`